.navbar-inverse .navbar-brand {
  color: #040303;
}

.navbar-inverse .navbar-nav>li>a {
  color: #000000;
}

.modal-header_custom {
  min-height: 16.43px;
  padding: 15px;
  border-bottom: 1px solid #e5e5e5;
  color: #232D5E;
}

.modal_custom {
  border-radius: 4px;
}

.navbar-default {
  background: linear-gradient(180deg, #003366 10%, #232D5E 100%);
  border-color: #e7e7e7;
}

.btn-primary-custom {
  border-radius: 8px;
  color: #fff;
  background-color: #232D5E;
  /* border-color: #232D5E; */
  border-color: #fff;
}

.btn-circle {
  border-radius: 20px;
}

.btn-primary-custom:hover {
  color: #232D5E;
  background-color: #fff;
  border-color: #232D5E;
  box-shadow: 0px 0px 5px 1px #232D5E;
}

.btn-secondary-custom {
  border-radius: 8px;
  color: #232D5E;
  background-color: #fff;
  border-color: #232D5E;
}

.btn-secondary-custom:hover {
  color: #f03a3a;
  background-color: #fff;
  border-color: #f03a3a;
  box-shadow: 0px 0px 5px 1px #f03a3a;
}

.nav>li>a:focus,
.nav>li>a:hover {
  color: #fff;
  text-decoration: none;
}

.nav>li>ul>li>span>a {
  color: #232D5E;
}

.nav>li>ul>li>span>a:focus,
.nav>li>ul>li>span>a:hover {
  text-decoration-color: black;
  color: #000000;
  background-color: white;
}

.modal-footer>.btn:focus,
.modal-footer>.btn:hover {
  text-decoration-color: black;
  color: #000000;
  background-color: white;
}

a {
  color: #ffffff;
  text-decoration: none;
}

.navbar-top-links>li>a {
  color: #fff;
}

.panel_custom {
  margin-bottom: 20px;
  background: #fff;
  border: 1px solid #232D5E;
  border-radius: 15px;
  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
  box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
  color: #232D5E
}

.alert-input {
  border-bottom: 2px solid red !important;
}

.modal-dialog-custom {
  width: 600px;
  margin: 40px auto;
}

.show {
  display: block;
}

.sidebar-nav ul.nav a.item {
  color: #232D5E
}

.sidebar-nav ul.nav a.item:hover {
  color: #fff;
  background-color: #232D5E;
}

.form-control-custom {
  display: block;
  width: 100%;
  height: 50px;
  padding: 6px 12px;
  box-sizing: border-box;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-image: none;
  outline: none;
  border: none;
  border-bottom: 2px solid #AA704F;
  transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

.form-group-custom {
  position: relative;
  margin: 20px 0;
}


.form-group-custom-model {
  position: relative;
  margin: 5px 0;
}

.form-control-modal {
  width: 50%;
  height: 34px;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
  box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
  -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
  -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
  transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
  max-width: 300px;
}

.switch {
  position: relative;
  display: inline-block;
  width: 114px;
  height: 19px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 15px;
  width: 13px;
  left: 4px;
  bottom: 2px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked+.slider {
  background-color: #232D5E;
}

input:focus+.slider {
  box-shadow: 0 0 1px #232D5E;
}

input:checked+.slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(95px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

textarea {
  resize: vertical;
}

.report {
  padding: 5px;
  border-radius: 5px;
  cursor: pointer;
}

.report::after {
  content: '';
  display: block;
  width: 0;
  height: 1px;
  background: #232D5E;
  color: white;
  transition: width .8s;
}

.report:hover::after {
  width: 100%;
  color: white;
}

.tabbed-panel-optireg {
  color: white;
  padding-top: 5px;
  padding-right: 5px;
  padding-bottom: 0;
  background-color: #232D5E;
}

.icon_modules {
  color: #232D5E;
  /* color: #fff; */
  line-height: 40px;
  display: inline-block;
  width: 40px;
  height: 40px;
  margin-right: 20px;
  text-align: center;
  vertical-align: middle;
  border-radius: 40%;
  /* background: #232D5E; */
  background: #ffffff;
  border: 1px solid #232D5E;

  -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, .12);
  box-shadow: 0 0 10px rgba(0, 0, 0, .12);
}

.icon_modules_hover {
  color: #232D5E;
  line-height: 40px;
  display: inline-block;
  width: 40px;
  height: 40px;
  margin-right: 20px;
  text-align: center;
  vertical-align: middle;
  border-radius: 40%;
  background: #fff;
  -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, .12);
  box-shadow: 0 0 10px rgba(0, 0, 0, .12);
}

.page-header {
  padding-bottom: 9px;
  margin: 0px 0 20px;
  border-bottom: 1px solid #eee
}

.navbar-default-2 {
  color: #232D5E !important;
  background: #fff !important;
  border: 1px solid #232D5E;
}

.table-striped>tbody>tr:nth-of-type(odd) {
  background-color: transparent;
}

.table-bordered>tbody>tr>td,
.table-bordered>tbody>tr>th,
.table-bordered>tfoot>tr>td,
.table-bordered>tfoot>tr>th,
.table-bordered>thead>tr>td,
.table-bordered>thead>tr>th {
  border: none;
  border-bottom: 1px solid rgb(255, 255, 255);
}

.table-bordered {
  border: none;
}

.table-hover>tbody>tr:hover {
  background-color: transparent;
}

.dropdown-container {
  flex-direction: column;
  align-items: center;
}

.line-bar-modal {
  display: flex;
  height: 2px;
  width: 100%;
  background: linear-gradient(90deg, rgba(224, 225, 226, 0) 0%, #132d9c -0.48%, rgba(224, 225, 226, 0) 126%)
}

.line-bar {
  display: flex;
  height: 2px;
  width: 100%;
  background: linear-gradient(90deg, rgba(224, 225, 226, 0) 0%, #808285 -0.48%, rgba(224, 225, 226, 0) 126%)
}

.line-bar-login {
  display: flex;
  height: 2px;
  width: 100%;
  background: linear-gradient(90deg, rgba(224, 225, 226, 0) 0%, rgb(20 33 79) -0.48%, rgba(224, 225, 226, 0) 126%)
}

.dropdown-toggle {
  height: 55px;
  font-size: 20px;
  border-radius: 13px;
}

button.accordion {
  background-color: white;
  color: #232D5E;
  cursor: pointer;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
  /* border-bottom: solid 1px #232D5E; */
}

button.accordion:focus {
  outline: none;
  box-shadow: none;
}

button.accordion.active,
button.accordion:hover {
  background-color: white;
}

div.panelreport {
  max-height: 0;
  overflow: hidden;
  transition: 0.4s ease-in-out;
  opacity: 0;
}

div.panelreport.show {
  opacity: 1;
  max-height: 10000px;
}

.button_disabled_form {
  cursor: no-drop !important;
}

.elements_indicators {
  align-items: center;
  padding: 5%;
  min-height: 85px;
  background: #fff;
  color: #232D5E;
  border-radius: 4px;
  box-shadow: 0 0px 7px #232D5E;
}

.img-thumbnail-custom {
  display: inline-block;
  max-width: 100%;
  height: auto;
  padding: 4px;
  line-height: 1.42857143;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 4px;
  -webkit-transition: all .2s ease-in-out;
  -o-transition: all .2s ease-in-out;
  transition: all .2s ease-in-out;
}

.preview-container {
  position: relative;
  display: inline-block;
  width: 300px;
  height: 300px;
  border: 2px dashed #ccc;
  border-radius: 10px;
  overflow: hidden;
  text-align: center;
  vertical-align: middle;
  line-height: 300px;
  font-size: 14px;
  color: #aaa;
}

.preview-container img {
  width: 100%;
  height: 100%;
  display: none;
}

.delete-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  background: rgba(255, 0, 0, 0.8);
  color: white;
  border: none;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  display: none;
}

.delete-btn:hover {
  background: red;
}

.header_login {
  background-color: #232D5E;
  color: #fff;
  box-shadow: 0px 0px 22px -1px grey;
  height: 100%;
}

.section_loader {
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background-color: #ffffff59;
  z-index: 9999;
  display: flex;
  justify-content: center;
  align-items: center;
}


.loader_custom {
  position: relative;
  width: 60px;
  height: 60px;

}

.loader_custom .loader_1 {
  position: absolute;
  width: 100%;
  height: 100%;
  border: 4px solid green;
  border-left-color: transparent;
  border-bottom: none;  
  border-radius: 50%;
  animation: loader-1 1s cubic-bezier(0.42, 0.61, 0.58, 0.41) infinite;
}

.loader_custom .loader_2 {
  position: absolute;
  width: 40px;
  height: 40px;
  border: 4px solid red;
  border-top-color: transparent;
  border-right: none;  
  border-radius: 50%;
  left: calc(50% - 20px);
  top: calc(50% - 20px);
  animation: loader-2 1s cubic-bezier(0.42, 0.61, 0.58, 0.41) infinite;
}

.dropdown-menu {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 1000;
  min-width: 160px;
  /* padding: 5px 0; */
  margin: 2px 0 0;
  font-size: 14px;
  text-align: center;
  list-style: none;
  background-color: #fff;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, .15);
  border-radius: 13px;
}

@keyframes loader-1{
  0%{
    transform: rotate(0deg)
  }
  100%{
    transform: rotate(360deg)
  }
}


@keyframes loader-2{
  0%{
    transform: rotate(360deg)
  }
  100%{
    transform: rotate(0deg)
  }
}

.form-group {
  position: relative;
  width: 300px;
}

.input_login {
  width: 100%;
  padding: 10px 40px 10px 10px; /* Espacio para el icono */
  border: none;
  border-bottom: 1px solid #ccc;
  outline: none;
  font-size: 14px;
  background: transparent;
  color: #232D5E;
}

.input_login:focus {
  border-bottom: 2px solid #232D5E;
}

.label_login {
  position: absolute;
  top: 10px;
  left: 10px;
  font-size: 14px;
  color: #666;
  transition: 0.3s ease;
}

.input_login:focus + .label_login,
.input_login:not(:placeholder-shown) + .label_login {
  top: -10px;
  font-size: 12px;
  color: #232D5E;
}

.icon {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  color: #aaa;
}

.flask {
  position: relative;
  width: 120px;
  height: 300px;
  background-color: #e1e1e1;
  border-radius: 60px 60px 10px 10px;
  border: 3px solid #333;
  overflow: hidden;
}

.flask-top {
  position: absolute;
  top: -20px;
  left: 0;
  width: 100%;
  height: 20px;
  background-color: #333;
  border-radius: 10px 10px 0 0;
}

.liquid {
  position: absolute;
  bottom: 0;
  width: 100%;
  background: linear-gradient(to top, #00bcd4, #0288d1);
  height: 0;
  border-radius: 0 0 60px 60px;
  animation: fill 5s linear infinite;
}


@keyframes fill {
  0% {
    height: 0%;
  }
  100% {
    height: 100%;
  }
}

.alert-icon {
  font-size: 20px;
  color: #e74c3c;
  cursor: help;
}

.error-input{
  border-color: red;
}

.input-wrapper {
  margin: 20px 0;
}

.input-wrapper label {
  font-size: 14px;
  display: block;
  margin-bottom: 5px;
}

.input-container {
  position: relative;
  display: flex;
  align-items: center;
}

.input-container input {
  width: 100%;
  border: none;
  border-bottom: 2px solid #ccc;
  outline: none;
  padding-right: 30px; /* espacio para el ícono */
  font-size: 16px;
}

.input-container input:focus {
  border-color: #232D5E;
}

.input-wrapper.error input {
  border-color: red;
}

.alert-icon {
  position: absolute;
  right: 5px;
  color: red;
  font-size: 18px;
  pointer-events: none;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-toggle {
  background-color: #232D5E;
  color: #fff;
  padding: 10px 14px;
  border: none;
  border-radius: 9999px;
  cursor: pointer;
}

.dropdown-menu {
  display: none;
  position: absolute;
  right: 0;
  margin-top: 10px;
  background-color: #232D5E;
  border: 1px solid #e2e8f0;
  border-radius: 8px;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
  min-width: 150px;
  z-index: 1;
}

.dropdown-menu.show {
  display: block;
}

.dropdown-menu a {
  display: block;
  padding: 10px 15px;
  color: #fff;
  text-decoration: none;
}

.input-with-icon {
  position: relative;
  width: 100%;
}

.input-with-icon input {
  padding-right: 2.5rem; /* espacio para el icono */
}

.input-with-icon i {
  position: absolute;
  top: 50%;
  right: 0.75rem;
  transform: translateY(-50%);
  /* color: #999; */
  cursor: pointer;
}

.text-success-check {
  color: green;
}

.form-inline-group {
  display: flex;
  gap: 0.5rem;
  align-items: center;
}

.form-inline-group select {
  width: 80px;
}

.form-inline-group .input-container {
  flex-grow: 1;
}

.img_products {
  object-fit: contain;
  max-height: 80px;
  width: 100%; 
  height: 100%; 
}

.notify-btn {
  position: relative;
  background: none;
  border: none;
  color: white;
  font-size: 1.2em;
  cursor: pointer;
}

.notification-container {
  position: relative;
}

.notify-list {
  position: absolute;
  right: 0;
  top: 35px;
  background: white;
  color: black;
  border: 1px solid #ccc;
  border-radius: 4px;
  min-width: 400px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.3);
  z-index: 100;
}
@media (max-width: 680px) {
  .notify-list {
    width: 90vw;
    min-width: 350px;
    right: -250px;
  }
}

.notify-list ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.notify-list li {
  padding: 8px 12px;
  border-bottom: 1px solid #eee;
}

.notify-list li:last-child {
  border-bottom: none;
}

.notify-list li:hover {
  background: #f5f5f5;
}

.notification-card {
  display: flex;
  background: #fff;
  border: 1px solid #ddd;
  border-radius: 6px;
  padding: 10px;
  align-items: center;
  justify-content: space-evenly;
}

.notification-card:hover{
  background: #232D5E1c !important;
} 

.icon_notify {
  margin-right: 10px;
  font-size: 20px;
}

.text-content_notify {
  display: flex;
  flex-direction: column;
}

.title_notify {
  font-weight: bold;
  margin-bottom: 2px;
}

.description_notify {
  color: #555;
  font-size: 14px;
  margin-bottom: 5px;
}

.footer_notify {
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  color: #999;
}

.mark-read_notify {
  color: #007bff;
  text-decoration: none;
}
.mark-read_notify:hover {
  text-decoration: underline;
}

.btn_option_login {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 10px
}

.btn_option_login.selected{
  border-radius: 8px;
  color: #fff;
  background-color: #232D5E;
  /* border-color: #232D5E; */
  border-color: #fff;
}

  .btn_option_assitencia_disabled {
    padding: 10px;
    margin: 5px 0;
    background-color: #dddada;
    border-color: gray;
    border-bottom: 1px solid gray;
    border-radius: 6px;
    cursor: no-drop;
    color: gray;
  }

  .btn_option_assitencia {
    padding: 10px;
    margin: 5px 0;
    background-color: #f0f0f0;
    border-bottom: 1px solid #232D5E;
    border-radius: 6px;
    cursor: pointer;
    color: #232D5E;
  }


  .btn_option_assitencia:hover{
    color: #fff;
    background-color: #232D5E;
    border-color: #fff;
  }


  .btn_option_assitencia.selected{
    color: #fff;
    background-color: #232D5E;
    border-color: #fff;
  }
.progress-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 800px;
    position: relative;
  }

  /* Línea de fondo (sin esquinas) */
  .progress-container::before {
    content: "";
    position: absolute;
    top: 8px; /* mitad del círculo (40px / 2) */
    left: 8px;  /* margen = radio del círculo */
    right: 20px; /* margen = radio del círculo */
    height: 4px;
    background: #ccc;
    z-index: 1;
  }

  /* Línea de progreso (verde) */
  .progress {
    content: "";
    position: absolute;
    top: 8px;
    left: 8px;
    height: 4px;
    background: #232D5E;
    z-index: 2;
    width: 60%; /* este ancho lo ajustas según el paso activo */
    transition: width 0.3s ease;
  }

  .step {
    cursor: pointer;
    user-select: none;
    text-align: center;
    position: relative;
    z-index: 3; /* círculos siempre encima */
  }

  .circle {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #ccc;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: bold;
  }

  .step.completed .circle {
    background: #232D5E;
  }

  .step.active .circle {
    border: 3px solid #232D5E;
    background: #fff;
    color: #232D5E;
  }

  .radio-row {
    display: flex;
    justify-content: space-between; /* 🔑 uno a la izq, otro a la der */
    align-items: center;
    width: 100%;  /* ocupa todo el ancho disponible */
    max-width: 400px; /* opcional, para limitar ancho */
    padding: 10px;
    border-radius: 6px;
  }

  .input_radio{
    accent-color: #232D5E
  }

  .label_radio{
    cursor: pointer;
    font-size: 14px;
    color: #232D5E;
    font-weight: normal;
  }

  .upload-box {
    border: 2px dashed #004fb2;
    background-color: #f3f8fc;
    border-radius: 8px;
    /* padding: 10px; */
    text-align: center;
    color: #333;
    font-family: Arial, sans-serif;
    cursor: pointer;
    width: 100%;
    /* max-width: 600px; */
    margin-top: 40px;
    margin-bottom: 10px;
    transition: background-color 0.3s ease;
  }

  .upload-box:hover {
    background-color: #e8f1f9;
  }

  .upload-box input {
    display: none;
  }

  .upload-icon {
    font-size: 24px;
    margin-bottom: 10px;
    display: block;
  }

  .upload-text {
    color: #333;
  }

  .img_products {
    object-fit: contain;
    max-height: 80px;
    width: 100%; 
    height: 100%; 
  }

  .badge {
    position: absolute;
    top: -5px;
    right: -5px;
    background: red;
    color: white;
    border-radius: 50%;
    font-size: 0.7em;
    padding: 2px 5px;
  }

  
.sticky-footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  z-index: -2;
}

@media (max-width:768px){
    .sticky-footer {
      position: static;
    }
}